View Issue Details

IDProjectCategoryView StatusLast Update
0002280Far ManagerInterfacepublic2013-02-16 01:12
Reporterbobr.dobrAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary0002280: Размытые пиктограммы в заголовке окна и панели задач
DescriptionСейчас на рынке появляется всё больше ноутбуков и ультрабуков с экранами, имеющими высокий DPI. Для комфортной работы на таком экране приходится включать "масштабирование" в Windows иначе текст и другие элементы интерфейса выглядят слишком мелкими.

Если включить масштабирование 125%, то пиктограмма FAR'а в панели задач выглядит размытой, а в заголовке окна - искаженной (см. скриншот). Решить эту проблему можно если добавить в FAR пиктограммы следующих размеров:

20x20
40x40
60x60
TagsNo tags attached.
Build3189

Activities

bobr.dobr

2013-01-30 16:44

reporter  

1.png (38,943 bytes)
1.png (38,943 bytes)

JohnDoe

2013-01-30 16:47

updater   bugnote:0010148

Нарисуете?

bobr.dobr

2013-01-31 10:57

reporter  

20x20 (4bit).png (253 bytes)
20x20 (4bit).png (253 bytes)

bobr.dobr

2013-01-31 10:57

reporter  

40x40 (4bit).png (347 bytes)
40x40 (4bit).png (347 bytes)

bobr.dobr

2013-01-31 10:57

reporter  

60x60 (4bit).png (518 bytes)
60x60 (4bit).png (518 bytes)

bobr.dobr

2013-01-31 11:00

reporter   bugnote:0010168

Увы, я не художник. На данный момент сделал только 4-битную версию. Если нет замечений по внешнему виду пиктограмм, то попробую сделать версии с большей глубиной цвета.

bobr.dobr

2013-01-31 11:18

reporter  

bobr.dobr

2013-02-01 13:33

reporter   bugnote:0010171

Не совсем понятно, каким образом сделан цветовой переход в 32-битной версии пиктограмм. Я сделал несколько попыток воспроизвести, но пока не очень получается...

DrKnS

2013-02-01 16:06

administrator   bugnote:0010173

Это всё прекрасно, но разве windows поддерживает размеры 20, 40 и 60?
И что будет, если включить масштабирование не 125%, а 150%?

JohnDoe

2013-02-01 16:16

updater   bugnote:0010174

Last edited: 2013-02-01 16:18

View 2 revisions

Может для эстэтов надо дать возможность указать файл иконки в настройках или в командной строке.

Кажется когда-то я использовал для этого *.pif файл...

bobr.dobr

2013-02-02 11:43

reporter   bugnote:0010199

Добрый день!
На данный момент готовы пиктограммы синего цвета 20x20, 40x40 и 60x60 с глубиной цвета 4 и 32 бита. Немножко изменилось начертание, но не принципиально. На очереди - 8 битный вариант.

> Это всё прекрасно, но разве windows поддерживает размеры 20, 40 и 60?
Да, по крайней мере, Windows 7. Пиктограммы такого размера используются в случае, когда включено масштабирование 125%. В частности:
  20x20 - пиктограмма в левом верхнем углу окна.
  40x40 - пиктограмма в панели задач.
  60x60 - в проводнике в каком-то из режимов отображения файлов.

Если пиктограмм такого размера нет в ресурсах приложения, то Windows растягивает (или сжимает - я не разбирался в деталях) имеющиеся пиктограммы, из-за чего возникают описанные выше искажения.

Если включить масштабирование 150%, то Windows будет использовать пиктограммы 24x24, 48x48, 72x72.

>Может для эстэтов надо дать возможность указать файл иконки в настройках или в командной строке.
Речь идёт не про то, чтобы дать пользователю возможность указывать свою пиктограмму приложения, а просто сделать так, чтобы FAR корректно работал в режиме с высоким DPI.

DrKnS

2013-02-02 14:14

administrator   bugnote:0010203

> Если пиктограмм такого размера нет в ресурсах приложения, то Windows растягивает (или сжимает - я не разбирался в деталях) имеющиеся пиктограммы, из-за чего возникают описанные выше искажения.

Ссылкой на документацию с описанием всех поддерживаемых размеров не поделитесь?

bobr.dobr

2013-02-02 16:33

reporter   bugnote:0010206

http://wiki.freepascal.org/Windows_Icon

bobr.dobr

2013-02-05 10:43

reporter  

Far.ico (36,963 bytes)

bobr.dobr

2013-02-05 10:44

reporter   bugnote:0010216

Сделал. :)

samlyukov

2013-02-05 16:24

reporter   bugnote:0010217

а можно попросить сделать еще такой же комплект, но с восклицательным знаком? хотелось бы прикрутить в плагин автоапдейтер сигнализацию в трее.

bobr.dobr

2013-02-05 16:36

reporter   bugnote:0010218

А есть подобная пиктограмма другого размера?

samlyukov

2013-02-05 16:37

reporter   bugnote:0010219

Last edited: 2013-02-05 16:41

View 2 revisions

неа.
я имел в виду поверх панелек фара нарисовать восклицательный знак.

bobr.dobr

2013-02-05 16:43

reporter   bugnote:0010220

Ну тогда я вам вряд ли смогу помочь - лучше обратиться к профессиональному художнику.

samlyukov

2013-02-05 19:32

reporter   bugnote:0010221

вот в пайнте идею изобразил "40x40 (4bit) Warning.png"

samlyukov

2013-02-05 19:32

reporter  

DrKnS

2013-02-05 19:40

administrator   bugnote:0010222

> а можно попросить сделать еще такой же комплект, но с восклицательным знаком? хотелось бы прикрутить в плагин автоапдейтер сигнализацию в трее.

Затолкай нужную тебе иконку в dll и используй, зачем она в far.exe?

samlyukov

2013-02-05 19:50

reporter   bugnote:0010223

тык я для плага и просил. или для трея достаточно и одной иконки? и не нужно всего набора?

bobr.dobr

2013-02-05 20:35

reporter   bugnote:0010224

Для трея нужно использовать пиктограммы следующих размеров:

100% (96 dpi): 16x16
125% (120 dpi): 20x20
150% (144 dpi): 24x24
200% (192 dpi): 32x32

Все эти пиктограммы (но без восклицательного знака) есть в файле Far.ico.

bobr.dobr

2013-02-08 11:59

reporter   bugnote:0010231

Как обстоят дела с добавлением новых пиктограмм в проект? Только что попробовал последнюю ночную сборку - там их нет...

bobr.dobr

2013-02-13 10:17

reporter   bugnote:0010275

Ребят, ну добавьте, пожалуйста, уже сделанные пиктограммы в проект! Работы ведь не много...

DrKnS

2013-02-13 10:53

administrator   bugnote:0010276

Не нервничайте, всё будет.

DrKnS

2013-02-13 20:47

administrator   bugnote:0010282

Добавлены 64, 60, 40, 20.

vskirdin

2013-02-13 21:20

administrator   bugnote:0010283

Эээ.... 256x256, а потом резко 64x64.
Вроде что-то пропущено. Не? ;-)
И, кстати, может имеет смысл "большие" иконки (аля 256x256) на что-то более "не символичное" заменить? (или нужен художник?)

DrKnS

2013-02-13 21:51

administrator   bugnote:0010284

Windows достаточно адекватно масштабирует текущее изображение в предела 64 - 256, так что особой необходимости нет, но если сильно хочешь - могу добавить :)

Большая потому и "символичная", что эта символичность масштабируется хорошо.

vskirdin

2013-02-13 22:31

administrator   bugnote:0010285

А как же "Лунопарк с блэкджеком и шл..."? ;-)

bobr.dobr

2013-02-14 19:08

reporter   bugnote:0010292

Всё отлично, большое спасибо!

Issue History

Date Modified Username Field Change
2013-01-30 16:44 bobr.dobr New Issue
2013-01-30 16:44 bobr.dobr File Added: 1.png
2013-01-30 16:47 JohnDoe Note Added: 0010148
2013-01-31 10:57 bobr.dobr File Added: 20x20 (4bit).png
2013-01-31 10:57 bobr.dobr File Added: 40x40 (4bit).png
2013-01-31 10:57 bobr.dobr File Added: 60x60 (4bit).png
2013-01-31 11:00 bobr.dobr Note Added: 0010168
2013-01-31 11:18 bobr.dobr File Added: 60x60 (4bit) - ver 2.png
2013-02-01 13:33 bobr.dobr Note Added: 0010171
2013-02-01 16:06 DrKnS Note Added: 0010173
2013-02-01 16:16 JohnDoe Note Added: 0010174
2013-02-01 16:18 JohnDoe Note Edited: 0010174 View Revisions
2013-02-02 11:43 bobr.dobr Note Added: 0010199
2013-02-02 14:14 DrKnS Note Added: 0010203
2013-02-02 16:33 bobr.dobr Note Added: 0010206
2013-02-05 10:43 bobr.dobr File Added: Far.ico
2013-02-05 10:44 bobr.dobr Note Added: 0010216
2013-02-05 12:09 alexy Assigned To => DrKnS
2013-02-05 12:09 alexy Status new => assigned
2013-02-05 16:24 samlyukov Note Added: 0010217
2013-02-05 16:36 bobr.dobr Note Added: 0010218
2013-02-05 16:37 samlyukov Note Added: 0010219
2013-02-05 16:41 samlyukov Note Edited: 0010219 View Revisions
2013-02-05 16:43 bobr.dobr Note Added: 0010220
2013-02-05 19:32 samlyukov Note Added: 0010221
2013-02-05 19:32 samlyukov File Added: 40x40 (4bit) Warning.png
2013-02-05 19:40 DrKnS Note Added: 0010222
2013-02-05 19:50 samlyukov Note Added: 0010223
2013-02-05 20:35 bobr.dobr Note Added: 0010224
2013-02-08 11:59 bobr.dobr Note Added: 0010231
2013-02-13 10:17 bobr.dobr Note Added: 0010275
2013-02-13 10:53 DrKnS Note Added: 0010276
2013-02-13 20:47 DrKnS Note Added: 0010282
2013-02-13 20:47 DrKnS Status assigned => feedback
2013-02-13 21:20 vskirdin Note Added: 0010283
2013-02-13 21:51 DrKnS Note Added: 0010284
2013-02-13 22:31 vskirdin Note Added: 0010285
2013-02-14 19:08 bobr.dobr Note Added: 0010292
2013-02-14 19:08 bobr.dobr Status feedback => assigned
2013-02-16 01:12 DrKnS Build => 3189
2013-02-16 01:12 DrKnS Status assigned => closed
2013-02-16 01:12 DrKnS Resolution open => fixed
2013-02-16 01:12 DrKnS Fixed in Version => 3.0